Package org.eclipse.m2m.atl.adt.ui.text.atl

# Class AtlCompletionProposalComparator

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.atl.AtlCompletionProposalComparator

All Implemented Interfaces:
  `Comparator<AtlCompletionProposal>`

public class AtlCompletionProposalComparator extends Object implements Comparator<AtlCompletionProposal>
The completion proposals comparator.

## Constructor Summary

Constructors
Constructor
Description
`AtlCompletionProposalComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(AtlCompletionProposal o1, AtlCompletionProposal o2)`
`void`
`setOrderAlphabetically(boolean order)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### AtlCompletionProposalComparator

public AtlCompletionProposalComparator()

## Method Details

### compare

public int compare(AtlCompletionProposal o1, AtlCompletionProposal o2)

Specified by:
  `compare` in interface `Comparator<AtlCompletionProposal>`
See Also:
  - `Comparator.compare(java.lang.Object, java.lang.Object)`

### setOrderAlphabetically

public void setOrderAlphabetically(boolean order)